SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros
DS_Table.h File Reference
`#include "DS_List.h"`
`#include "DS_BPlusTree.h"`
`#include "memoryoverride.h"`
`#include "Export.h"`
`#include "string.h"`

Go to the source code of this file.

## Classes

class | DataStructures::Table
| Holds a set of columns, a set of rows, and rows times columns cells. More...
struct | DataStructures::Table::Cell
| Holds the actual data in the table. More...
struct | DataStructures::Table::ColumnDescriptor
struct | DataStructures::Table::Row
| Stores the list of cells for this row, and a special flag used for internal sorting. More...
struct | DataStructures::Table::FilterQuery
struct | DataStructures::Table::SortQuery

## Namespaces

namespace | DataStructures

## Macros

#define | _TABLE_BPLUS_TREE_ORDER 16
#define | _TABLE_MAX_COLUMN_NAME_LENGTH 64

## Class Documentation

struct DataStructures::Table::SortQuery

Definition at line 178 of file DS_Table.h.

Class Members
unsigned | columnIndex | The index of the table column we are sorting on.
SortQueryType | operation | See SortQueryType.

## Macro Definition Documentation

#define _TABLE_BPLUS_TREE_ORDER 16

Definition at line 29 of file DS_Table.h.

#define _TABLE_MAX_COLUMN_NAME_LENGTH 64

Definition at line 30 of file DS_Table.h.

Referenced by SLNet::TableSerializer::DeserializeColumns(), SLNet::TableSerializer::DeserializeFilterQuery(), SLNet::TableSerializer::SerializeColumns(), and SLNet::TableSerializer::SerializeFilterQuery().